## org.eclipse.uml2.uml
Interface ActivityNode

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  AcceptCallAction, AcceptEventAction, Action, ActionInputPin, ActivityFinalNode, ActivityParameterNode, AddStructuralFeatureValueAction, AddVariableValueAction, BroadcastSignalAction, CallAction, CallBehaviorAction, CallOperationAction, CentralBufferNode, ClearAssociationAction, ClearStructuralFeatureAction, ClearVariableAction, ConditionalNode, ControlNode, CreateLinkAction, CreateLinkObjectAction, CreateObjectAction, DataStoreNode, DecisionNode, DestroyLinkAction, DestroyObjectAction, ExecutableNode, ExpansionNode, ExpansionRegion, FinalNode, FlowFinalNode, ForkNode, InitialNode, InputPin, InvocationAction, JoinNode, LinkAction, LoopNode, MergeNode, ObjectNode, OpaqueAction, OutputPin, Pin, RaiseExceptionAction, ReadExtentAction, ReadIsClassifiedObjectAction, ReadLinkAction, ReadLinkObjectEndAction, ReadLinkObjectEndQualifierAction, ReadSelfAction, ReadStructuralFeatureAction, ReadVariableAction, ReclassifyObjectAction, ReduceAction, RemoveStructuralFeatureValueAction, RemoveVariableValueAction, ReplyAction, SendObjectAction, SendSignalAction, SequenceNode, StartClassifierBehaviorAction, StructuralFeatureAction, StructuredActivityNode, TestIdentityAction, UnmarshallAction, ValuePin, ValueSpecificationAction, VariableAction, WriteLinkAction, WriteStructuralFeatureAction, WriteVariableAction

    public interface ActivityNode

extends RedefinableElement

A representation of the model object 'Activity Node'. ActivityNode is an abstract class for points in the flow of an activity connected by edges.

The following features are supported:

- `In Structured Node`
- `Activity`
- `Outgoing`
- `Incoming`
- `In Partition`
- `In Interruptible Region`
- `In Group`
- `Redefined Node`

See Also:
  `UMLPackage.getActivityNode()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Activity` `getActivity()` Returns the value of the 'Activity' container reference.
`ActivityEdge` `getIncoming(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Incoming' reference list
`ActivityEdge` `getIncoming(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Incoming' reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getIncomings()` Returns the value of the 'Incoming' reference list.
`org.eclipse.emf.common.util.EList<ActivityGroup>` `getInGroups()` Returns the value of the 'In Group' reference list.
`org.eclipse.emf.common.util.EList<InterruptibleActivityRegion>` `getInInterruptibleRegions()` Returns the value of the 'In Interruptible Region' reference list.
`ActivityPartition` `getInPartition(java.lang.String name)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list
`ActivityPartition` `getInPartition(java.lang.String name, boolean ignoreCase)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list
`org.eclipse.emf.common.util.EList<ActivityPartition>` `getInPartitions()` Returns the value of the 'In Partition' reference list.
`StructuredActivityNode` `getInStructuredNode()` Returns the value of the 'In Structured Node' container reference.
`ActivityEdge` `getOutgoing(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Outgoing' reference list
`ActivityEdge` `getOutgoing(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Outgoing' reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getOutgoings()` Returns the value of the 'Outgoing' reference list.
`ActivityNode` `getRedefinedNode(java.lang.String name)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Redefined Node' reference list
`ActivityNode` `getRedefinedNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Redefined Node' reference list
`org.eclipse.emf.common.util.EList<ActivityNode>` `getRedefinedNodes()` Returns the value of the 'Redefined Node' reference list.
`void` `setActivity(Activity value)` Sets the value of the '`Activity`' container reference
`void` `setInStructuredNode(StructuredActivityNode value)` Sets the value of the '`In Structured Node`' container reference
`boolean` `validateOwned(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Activity nodes can only be owned by activities or groups.
`boolean` `validateOwnedStructuredNode(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Activity nodes may be owned by at most one structured node.

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOutgoings

    org.eclipse.emf.common.util.EList<ActivityEdge> getOutgoings()

  Returns the value of the 'Outgoing' reference list. The list contents are of type `ActivityEdge`. It is bidirectional and its opposite is '`Source`'. Edges that have the node as source.

  Returns:
    the value of the 'Outgoing' reference list.
  See Also:
    `UMLPackage.getActivityNode_Outgoing()`, `ActivityEdge.getSource()`

### getOutgoing

    ActivityEdge getOutgoing(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Outgoing' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getOutgoings()`

### getOutgoing

    ActivityEdge getOutgoing(java.lang.String name,
                             boolean ignoreCase,
                             org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Outgoing' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getOutgoings()`

### getInGroups

    org.eclipse.emf.common.util.EList<ActivityGroup> getInGroups()

  Returns the value of the 'In Group' reference list. The list contents are of type `ActivityGroup`. It is bidirectional and its opposite is '`Contained Node`'. This feature is a derived union. Groups containing the node.

  Returns:
    the value of the 'In Group' reference list.
  See Also:
    `UMLPackage.getActivityNode_InGroup()`, `ActivityGroup.getContainedNodes()`

### getInPartitions

    org.eclipse.emf.common.util.EList<ActivityPartition> getInPartitions()

  Returns the value of the 'In Partition' reference list. The list contents are of type `ActivityPartition`. It is bidirectional and its opposite is '`Node`'.

  This feature subsets the following features:

  - '`In Group`'
  Partitions containing the node.

  Returns:
    the value of the 'In Partition' reference list.
  See Also:
    `UMLPackage.getActivityNode_InPartition()`, `ActivityPartition.getNodes()`

### getInPartition

    ActivityPartition getInPartition(java.lang.String name)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getInPartitions()`

### getInPartition

    ActivityPartition getInPartition(java.lang.String name,
                                     boolean ignoreCase)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getInPartitions()`

### getInStructuredNode

    StructuredActivityNode getInStructuredNode()

  Returns the value of the 'In Structured Node' container reference. It is bidirectional and its opposite is '`Node`'.

  This feature subsets the following features:

  - '`In Group`'
  Structured activity node containing the node.

  Returns:
    the value of the 'In Structured Node' container reference.
  See Also:
    `setInStructuredNode(StructuredActivityNode)`, `UMLPackage.getActivityNode_InStructuredNode()`, `StructuredActivityNode.getNodes()`

### setInStructuredNode

    void setInStructuredNode(StructuredActivityNode value)

  Sets the value of the '`In Structured Node`' container reference.

  Parameters:
    `value` - the new value of the 'In Structured Node' container reference.
  See Also:
    `getInStructuredNode()`

### getActivity

    Activity getActivity()

  Returns the value of the 'Activity' container reference. It is bidirectional and its opposite is '`Node`'.

  This feature subsets the following features:

  - '`Owner`'
  Activity containing the node.

  Returns:
    the value of the 'Activity' container reference.
  See Also:
    `setActivity(Activity)`, `UMLPackage.getActivityNode_Activity()`, `Activity.getNodes()`

### setActivity

    void setActivity(Activity value)

  Sets the value of the '`Activity`' container reference.

  Parameters:
    `value` - the new value of the 'Activity' container reference.
  See Also:
    `getActivity()`

### getIncomings

    org.eclipse.emf.common.util.EList<ActivityEdge> getIncomings()

  Returns the value of the 'Incoming' reference list. The list contents are of type `ActivityEdge`. It is bidirectional and its opposite is '`Target`'. Edges that have the node as target.

  Returns:
    the value of the 'Incoming' reference list.
  See Also:
    `UMLPackage.getActivityNode_Incoming()`, `ActivityEdge.getTarget()`

### getIncoming

    ActivityEdge getIncoming(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Incoming' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getIncomings()`

### getIncoming

    ActivityEdge getIncoming(java.lang.String name,
                             boolean ignoreCase,
                             org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Incoming' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getIncomings()`

### getInInterruptibleRegions

    org.eclipse.emf.common.util.EList<InterruptibleActivityRegion> getInInterruptibleRegions()

  Returns the value of the 'In Interruptible Region' reference list. The list contents are of type `InterruptibleActivityRegion`. It is bidirectional and its opposite is '`Node`'.

  This feature subsets the following features:

  - '`In Group`'
  Interruptible regions containing the node.

  Returns:
    the value of the 'In Interruptible Region' reference list.
  See Also:
    `UMLPackage.getActivityNode_InInterruptibleRegion()`, `InterruptibleActivityRegion.getNodes()`

### getRedefinedNodes

    org.eclipse.emf.common.util.EList<ActivityNode> getRedefinedNodes()

  Returns the value of the 'Redefined Node' reference list. The list contents are of type `ActivityNode`.

  This feature subsets the following features:

  - '`Redefined Element`'
  Inherited nodes replaced by this node in a specialization of the activity.

  Returns:
    the value of the 'Redefined Node' reference list.
  See Also:
    `UMLPackage.getActivityNode_RedefinedNode()`

### getRedefinedNode

    ActivityNode getRedefinedNode(java.lang.String name)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Redefined Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getRedefinedNodes()`

### getRedefinedNode

    ActivityNode getRedefinedNode(java.lang.String name,
                                  boolean ignoreCase,
                                  org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Redefined Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getRedefinedNodes()`

### validateOwned

    boolean validateOwned(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                          java.util.Map<java.lang.Object,java.lang.Object> context)

  Activity nodes can only be owned by activities or groups. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateOwnedStructuredNode

    boolean validateOwnedStructuredNode(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

  Activity nodes may be owned by at most one structured node. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.